Subject: Re: bug#11282: 24.1.50; Error in decoding message

From: Kenichi Handa <[email-masked]>
Date: Fri, 20 Apr 2012 10:34:05 +0900

In article <[email-masked]>, Richard Stallman <[email-masked]> writes:
> When I visit this as an Rmail file, Rmail gets an error
> decoding the coding system.  Maybe the message really is
> invalid, but Rmail should not get an unhandled Lisp error.

> Here is the backtrace.

>     Debugger entered--Lisp error: (wrong-type-argument wholenump nil)
>       decode-coding-region(888 1351 utf-7)
>       rmail-mime-insert-decoded-text([("text/html" (charset . "utf-7")) ("inline") "7bit" [[nil nil nil] [t nil t]] [#<marker at 1 in bad-message> #<marker at 5343 in bad-message> t] ["" (nil) nil] [#<marker at 5343 in bad-message> #<marker at 5806 in bad-message> t] nil rmail-mime-insert-text nil])

As I can reproduce the bug, I'll work on fixing it.

---
Kenichi Handa
[email-masked]